## org.eclipse.emf.common.util
Class ArrayDelegatingEList.EIterator<E1>

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEList.EIterator<E1>
          org.eclipse.emf.common.util.ArrayDelegatingEList.EIterator<E1>

All Implemented Interfaces:
  java.util.Iterator<E1>

Enclosing class:
  ArrayDelegatingEList<E>

    protected class ArrayDelegatingEList.EIterator<E1>

extends AbstractEList.EIterator<E1>

An extensible iterator implementation.

Field Summary
`protected java.lang.Object[]` `expectedData` The expected data array of the containing list.

Fields inherited from class org.eclipse.emf.common.util.AbstractEList.EIterator
`cursor, expectedModCount, lastCursor`

Constructor Summary
`protected` `ArrayDelegatingEList.EIterator()`

Method Summary
`protected void` `checkModCount()` Checks that the modification count and data array are as expected.

Methods inherited from class org.eclipse.emf.common.util.AbstractEList.EIterator
`doNext, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expectedData

    protected java.lang.Object[] expectedData

  The expected data array of the containing list.

Constructor Detail

### ArrayDelegatingEList.EIterator

    protected ArrayDelegatingEList.EIterator()

Method Detail

### checkModCount

    protected void checkModCount()

  Checks that the modification count and data array are as expected.

  Overrides:
    `checkModCount` in class `AbstractEList.EIterator<E1>`
  Throws:
    `java.util.ConcurrentModificationException` - if the modification count is not as expected.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.